package de.unibi.airobots.bonsai.actuators;

import java.io.IOException;

import de.unibi.airobots.bonsai.core.Actuator;
import de.unibi.airobots.btl.data.PersonData;

/**
 * Interface for actuators controlling the HWA.
 * 
 * @author jwienke
 */
public interface HwaActuator extends Actuator {

    /**
     * Start looking for persons.
     * 
     * @throws IOException
     *             communication error
     */
    void startCamAction() throws IOException;

    /**
     * Focus the given person as long as it is known by the person tracker.
     * 
     * @param p
     *            person to focus
     * @throws IOException
     *             communication error
     */
    void focus(PersonData p) throws IOException;

    /**
     * Unfocus any person and start looking again.
     * 
     * @throws IOException
     *             communication error
     */
    void unfocus() throws IOException;

    /**
     * Stop controlling the camera.
     * 
     * @throws IOException
     *             communication error
     */
    void stopCamAction() throws IOException;

}
