package de.unibi.airobots.bonsai.core.configuration;

/**
 * One actuator configured by the user.
 * 
 * @author jwienke
 */
public class ConfiguredActuator extends ConfiguredCoreObject {

    private String actuatorClassName;
    private String interfaceClassName;

    /**
     * Returns the name of the interface class that the actuator implements.
     * 
     * @return class name
     */
    public String getInterfaceClassName() {
        return interfaceClassName;
    }

    /**
     * Sets the name of the interface class the actuator implements.
     * 
     * @param interfaceClassName
     *            class name
     */
    public void setInterfaceClassName(String interfaceClassName) {
        this.interfaceClassName = interfaceClassName;
    }

    /**
     * Returns the name of the implementing actuator class.
     * 
     * @return class name
     */
    public String getActuatorClassName() {
        return actuatorClassName;
    }

    /**
     * Sets the name of the implementing actuator class.
     * 
     * @param actuatorClassName
     *            class name
     */
    public void setActuatorClassName(String actuatorClassName) {
        this.actuatorClassName = actuatorClassName;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String toString() {
        return "[" + getClass().getSimpleName() + ": key = " + getKey()
                + ", actuatorClassName = " + actuatorClassName
                + ", interfaceClassName = " + interfaceClassName
                + ", factoryClassName = " + getFactoryClassName()
                + ", option = " + getOptions() + "]";
    }

}
