package de.unibi.airobots.bonsai.examples;

import org.apache.log4j.BasicConfigurator;

//import de.unibi.airobots.bonsai.actuators.NavigationActuator;
import de.unibi.airobots.bonsai.core.BonsaiManager;
import de.unibi.airobots.bonsai.sensors.PersonSensor;
import de.unibi.airobots.bonsai.sensors.data.PersonList;

/**
 * A simple test program for testing the xcf based navigation actuator.
 * 
 * @author jwienke
 */
public class NavigationActuatorTest {

    /**
     * Main method.
     * 
     * @param args
     *            command lien arguments
     */
    public static void main(String[] args) {

        BasicConfigurator.configure();

        try {

            BonsaiManager manager = BonsaiManager.getInstance();
            manager.configure(NavigationActuatorTest.class.getResource(
                    "loader.xml").toURI());

            // NavigationActuator navAct = manager.createActuator(
            // "NavigationActuator", NavigationActuator.class);
            // navAct.setGoal(new NavigationGoalData("test", 1, 1, 0,
            // NavigationGoalData.GoalType.LOCAL));

            // additionally get the hwa actuator
            // HwaActuator hwa = manager.createActuator("HwaActuator",
            // HwaActuator.class);

            // TODO remote this cast!
            PersonSensor personSensor = (PersonSensor) manager.createSensor(
                    "PersonSensor", PersonList.class);

            while (true) {

                PersonList list = personSensor.readLast();

                System.out.println("Current persons: " + list);

                // CHECKSTYLE:OFF
                Thread.sleep(1000);
                // CHECKSTYLE:ON

            }

            // CHECKSTYLE:OFF
        } catch (Exception e) {
            // CHECKSTYLE:ON
            e.printStackTrace();
            System.exit(1);
        }

    }

}
