package de.unibi.airobots.bonsai.sensors;

import de.unibi.airobots.bonsai.core.Sensor;
import de.unibi.airobots.bonsai.sensors.data.PersonList;

/**
 * An interface for sensor returning perceived persons.
 * 
 * @author jwienke
 */
public interface PersonSensor extends Sensor<PersonList> {

    /**
     * Number of persons to remember.
     * 
     * TODO for what purpose?
     */
    int PERSON_REMEMBER_LIMIT = 3;

    /**
     * This method returns a list with {@link #PERSON_REMEMBER_LIMIT} last seen
     * persons. This persons will also have a global coordinate derived by the
     * position when the robot has seen this person.
     * 
     * @return PersonList with {@link #PERSON_REMEMBER_LIMIT} persons.
     */
    PersonList readLastSeenPersons();

}
