package de.unibi.airobots.bonsai.xcf.configuration;

import de.unibi.airobots.bonsai.core.Actuator;
import de.unibi.airobots.bonsai.core.CoreObjectFactory.ActuatorToConfigure;
import de.unibi.airobots.bonsai.xcf.actuators.XcfEnterArenaAndLocalizeActuator;

/**
 * Configuration object for {@link XcfEnterArenaAndLocalizeActuator}.
 * <p>
 * Available options:
 * <ul>
 * <li>{@link ConfiguredXcfActuator#OPTION_SERVER_NAME} (required): name of the
 * server to use</li>
 * </ul>
 * 
 * @author ltwardon
 */
public class ConfiguredXcfEnterArenaAndLocalizeActuator extends ConfiguredXcfActuator {

    /**
     * Checks if the actuator that can be produced is suitable for the requested
     * configuration.
     * 
     * @param actuatorToConfigure
     *            requested configuration
     * @return <code>true</code> if suitable
     */
    public static boolean isSuitableFor(ActuatorToConfigure actuatorToConfigure) {
        return actuatorToConfigure.getActuatorClass().equals(
                XcfEnterArenaAndLocalizeActuator.class);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Actuator createInstance() {
        return new XcfEnterArenaAndLocalizeActuator(getServerName());
    }

}
