package de.unibi.airobots.bonsai.xcf.configuration;

import de.unibi.airobots.bonsai.core.Actuator;
import de.unibi.airobots.bonsai.core.CoreObjectFactory.ActuatorToConfigure;
import de.unibi.airobots.bonsai.xcf.actuators.XcfNavigationActuator;

/**
 * Configuration for {@link XcfNavigationActuator}.
 * <p>
 * Available options:
 * <ul>
 * <li>{@link ConfiguredXcfActuator#OPTION_SERVER_NAME} (required): name of the
 * server used to control the navigation</li>
 * </ul>
 * 
 * @author jwienke
 */
public class ConfiguredXcfNavigationActuator extends ConfiguredXcfActuator {

    /**
     * Checks if the actuator that can be produced is suitable for the requested
     * configuration.
     * 
     * @param actuatorToConfigure
     *            requested configuration
     * @return <code>true</code> if suitable
     */
    public static boolean isSuitableFor(ActuatorToConfigure actuatorToConfigure) {
        return actuatorToConfigure.getActuatorClass().equals(
                XcfNavigationActuator.class);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Actuator createInstance() {
        return new XcfNavigationActuator(getServerName());
    }

}
